package hiit.parser;

import hiit.transceiver.Transceiver;

public interface ContextParser extends Runnable {
	
	public String getBluetoothAddress();
	
	public boolean alive();
	
	public void updateTransceiver(Transceiver trans);
	
	public int getSession();
	
	public int getDBSession();
	
	public void close();
	
	public String getParserName();

}
