package hiit.parser.rule;

import java.sql.Statement;
import java.util.Hashtable;

public interface BetelgeuseParserRule {

	public int[] getReaderTypes();
	
	public String[] getParamNames();
	
	public int process(Statement statement, int[] message, long elementId, int numberOfParameters, 
	        long sensorId, Hashtable<Integer, Long> paramId_dbId, Hashtable<Long, String>  dbId_paramName, 
	        int sensorType, long timestamp);
	
	public boolean addSensorData(int type);
	
	public int process(Statement statement, String param, long elementId, long sensorId, long paramDbId, String paramName, long timestamp);
	
	public boolean addParameterData(String name);
	
	public String getRuleName();
	
}
